GET
/
files
List files
curl --request GET \
  --url https://your_salambo_base_url/api/v1/files \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "bytes": 123,
      "created_at": 123,
      "filename": "<string>",
      "purpose": "<string>",
      "size_bytes": 123,
      "mime_type": "<string>"
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

response_id
string

Filter to files for a response.

purpose
string
limit
integer
default:20
Required range: 1 <= x <= 100
after
string

Response

File list

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required
first_id
string | null
required
last_id
string | null
required